Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management.j2ee
Interface JVMMBean

All Superinterfaces:
  J2EEManagedObjectMBean, org.jboss.system.Service, org.jboss.system.ServiceMBean, StatisticsProvider

All Known Implementing Classes:
  JVM

public interface JVMMBean
extends J2EEManagedObjectMBean, StatisticsProvider

MBean interface.

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`String` | `getjavaVendor()`
`String` | `getjavaVersion()`
`String` | `getnode()`
`javax.management.j2ee.statistics.Stats` | `getstats()` Obtain the Stats from the StatisticsProvider
`void` | `resetStats()` Reset all statistics in the StatisticsProvider

Methods inherited from interface org.jboss.management.j2ee.J2EEManagedObjectMBean
`addChild, getobjectName, getparent, iseventProvider, isstateManageable, isstatisticsProvider, removeChild, setparent`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### getjavaVendor

    public String getjavaVendor()

### getjavaVersion

    public String getjavaVersion()

### getnode

    public String getnode()

### getstats

    public javax.management.j2ee.statistics.Stats getstats()

  Obtain the Stats from the StatisticsProvider

  Specified by:
    `getstats` in interface `StatisticsProvider`
  Returns:

### resetStats

    public void resetStats()

  Reset all statistics in the StatisticsProvider

  Specified by:
    `resetStats` in interface `StatisticsProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.